require "telegram/bot"

class TelegramGroupChatNotificationJob < NotificationJob
  queue_as :notifications

  def perform(**args)
    channel = NotificationChannel.find_by(name: "telegram_group_chat")
    Rails.logger.debug("TelegramGroupChatNotificationJob #{args.inspect}")
    return unless channel&.data
    token = channel.data["token"]
    return unless token
    args[:parse_mode] ||= "HTML"
    args[:target] ||= Rails.application.config.telegram_default_target
    Telegram::Bot::Client.run(token) do |bot|
      bot.api.send_message(chat_id: args[:target], text: args[:text], parse_mode: args[:parse_mode])
    end
  end
end
